#include "IZ_video.h"

IZ_ProcedureResult IZ_SaveVideoConfig(IZ_VideoConfig* config) {
	char config_path[128];
	IZ_GetConfigPath(config_path, 128);

	if (!ini_putl("Video", "Width", config->width, config_path)) {
		return 1;
	}
	if (!ini_putl("Video", "Height", config->height, config_path)) {
		return 1;
	}
	if (!ini_putl("Video", "MaxFps", config->max_fps, config_path)) {
		return 1;
	}

	return 0;
}

void IZ_LoadVideoConfig(IZ_VideoConfig* config) {
	char config_path[128];
	IZ_GetConfigPath(config_path, 128);

	config->width = ini_getl("Video", "Width", 640l, config_path);
	config->height = ini_getl("Video", "Height", 480l, config_path);
	config->max_fps = ini_getl("Video", "MaxFps", 30, config_path);
}
